Bug 133972 - Installation won't recognize PERC 4e/Si RAID controller on Dell 1850
Installation won't recognize PERC 4e/Si RAID controller on Dell 1850
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-28 14:58 EDT by Sean Jorden
Modified: 2015-01-04 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:59:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Jorden 2004-09-28 14:58:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
Won't recognize the logical drive (verified the logical/physical 
drive is working by installing Windows 2003 with updated driver)

Also, the megaraid driver (which is required for this RAID card) is 
no longer present in the list of additional device drivers. Is this 
loaded by default now?

I believe that the updated drivers have been merged into the 
kernel.org stock kernel as of 2.6.8 - and I thought Fedora Core 3 
Test 2 was using the 2.6.8 kernel.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Purchase a Dell Poweredge 1850
2. Try to install FC2 or FC3 Test 2
3.
    

Actual Results:  Says there is no hard drive

Expected Results:  Should recognize the hard drive

Additional info:
Comment 1 Bill Nottingham 2004-09-29 00:58:19 EDT
What happens if you load megaraid_mbox?
Comment 2 Sean Jorden 2004-09-29 01:11:26 EDT
If you mean LSI's megaraid v2.20.2.0 I am sure that would work, but I
cannot find it in the the list of additional drivers. I have even been
trying to create my own driver disk with megaraid_mm.o and
megaraid_mbox.o on it, but having problems.

How can I load megaraid_mbox?
Comment 3 Chris Ricker 2004-10-01 12:24:40 EDT
megaraid* is missing from modules.cgz
Comment 4 Chris Ricker 2004-10-01 12:47:41 EDT
At least on x86_64, this appears to have been fixed post-FC3t2

The 20041001 boot.iso for x86_64 just installed on the 4e/Di in a 2850
here. The PERC was autodetected and the new megaraid drivers loaded
automagically....

I would think it should be working now on your 1850 as well
Comment 5 Chris Ricker 2004-10-01 14:42:07 EDT
Note that after install you will have to create an initrd manually
(see Bug #134369).
Comment 6 Dave Jones 2005-07-15 16:21:00 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 7 Dave Jones 2005-10-02 20:59:25 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.